// Runtime+compiler production build (Browser)
/* jshint node: true */
'use strict';
var path = require('path');
var webpack = require('webpack');
var config = {
  target: 'web',
  mode: 'production',
  entry: './src/platforms/web/entry-runtime-with-compiler.js',
  resolve: {
    modules: ['/usr/lib/nodejs', '/usr/share/nodejs', './src', './src/platforms'],
  },
  resolveLoader: {
    modules: ['/usr/lib/nodejs', '/usr/share/nodejs'],
  },
  output: {
    path: path.resolve(__dirname, '../dist'),
    filename: 'vue.min.js',
    library: "Vue",
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  module: { rules: [ { use: [ 'babel-loader' ] } ] },
};
module.exports = config;
